Subject: Re: LX681380342US (Tracking number)
From: [email-masked]
To: [email-masked], [email-masked]
Date: Wed, 27 Nov 2019 00:56:28 -0800

handled under: 85164

Thank you,
Adam
HFL Customer Support

----- Original Message -----
From:
 "Kamran Aslam" <[email-masked]>

To:
<[email-masked]>
Cc:

Sent:
Wed, 27 Nov 2019 08:08:49 +0000
Subject:
LX681380342US (Tracking number)

Hi, I placed an order on the 13th November but haven't received it
yet. I live in the UK but the tracking info indicates that the items
are still being transported to another facility (this has been the
status of the order since 21st November). When will I receive my
order? I paid for delivery within 4 to 10 business days.Thank you.